#if !defined(AFX_GOSSTATPANE_H__71AB88BE_FC36_437A_A24E_F98FA34D4C40__INCLUDED_)
#define AFX_GOSSTATPANE_H__71AB88BE_FC36_437A_A24E_F98FA34D4C40__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GosStatPane.h : header file

#include "GosEventPane.h"
//

/////////////////////////////////////////////////////////////////////////////
// CGosStatPane view

class CGosStatPane : public CGosEventPane
{
protected:
	CGosStatPane();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGosStatPane)

	void RecalcStats( _int64 startTick, _int64 endTick );


// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGosStatPane)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGosStatPane();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGosStatPane)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GOSSTATPANE_H__71AB88BE_FC36_437A_A24E_F98FA34D4C40__INCLUDED_)
